<template>
  <div dir="rtl">
    <b-card
      no-body
      class="mb-1 text-center bg-secondary selectedLayerContainer"
    >
      <b-row>
        <b-button
          v-b-popover.hover.top="$t('message.delete_selected_layer_massage')"
          size="sm"
          class="mb-2"
          @click="removeLayerFromList(selectedLayer)"
        >
          <b-icon
            icon="trash-fill"
            variant="light"
            aria-label="add"
            scale="1"
          ></b-icon>
        </b-button>
      </b-row>
      <b-row>
        <!-- <input
          type="checkbox"
          :id="selectedLayer.name"
          :value="selectedLayer"
          v-model="active"
          @change="handleTasks(selectedLayer)"
        />
           -->
        <b-form-checkbox
          :id="selectedLayer.name"
          v-model="status"
          :name="selectedLayer.name"
          value="accepted"
          size="lg"
          button-variant="info"
          unchecked-value="not_accepted"
          @input="handleTasks"
        />
        <p class="pStyle">{{ selectedLayer.name }}</p>
      </b-row>
      <b-row>
        <p class="pStyle">
          {{ $t("message.selected_layer_opacity") }} : % {{ opacity }}
        </p>
        <b-form-input
          :id="selectedLayer.name"
          v-model="opacity"
          type="range"
          min="0"
          max="100"
        />
      </b-row>
      <b-row>
        <p class="pStyle">{{ $t("message.selected_layer_drag") }} :</p>
        <b-form-input
          id="range-drag"
          v-model="drag"
          type="range"
          min="0"
          max="100"
        />
      </b-row>
    </b-card>
  </div>
</template>
<script>
export default {
  data() {
    return {
      status: "accepted",
      opacity: 100,
      drag: 0,
    };
  },
  props: {
    selectedLayer: {
      type: Object,
    },
    removeLayerFromList: Function,
    removeLayerFromListToSend: Function,
  },
  methods: {
    handleTasks(value) {
      alert(value);
      if (this.status === "not_accepted") {
        // this.removeLayerFromListToSend(selectedLayer);
      }
      console.log(this.active);
    },
  },
};
</script>
<style scoped>
.selectedLayerContainer {
  padding: 20px;
  background-color: #ffffff;
  width: 300px;
  margin-bottom: 5px;
}
.selectedLayerHaeder {
  text-align: center;
}
.iconButton {
  align-self: flex-end;
  padding: 10px;
  align-self: end;
}
.pStyle {
  text-align: right;
  color: #ffffff;
  margin-right: 5%;
}
</style>